/* Theming */
@import url("https://fonts.googleapis.com/css2?family=Kalam:wght@300;400;700&display=swap");
/* Box sizing rules */
*,
*::before,
*::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

/* Remove default margin and padding and reset fonts */
* {
    margin: 0;
    padding: 0;
    font: inherit;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
    list-style: none;
}

/* Set core body defaults */
body {
    min-height: 100vh;
    text-rendering: optimizeSpeed;
    line-height: 1.5;
}

/* Make images easier to work with */
img,
picture {
    max-width: 100%;
    display: block;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
    html:focus-within {
        scroll-behavior: auto;
    }
    *,
    *::before,
    *::after {
        -webkit-animation-duration: 0.01ms !important;
        animation-duration: 0.01ms !important;
        -webkit-animation-iteration-count: 1 !important;
        animation-iteration-count: 1 !important;
        -webkit-transition-duration: 0.01ms !important;
        transition-duration: 0.01ms !important;
        scroll-behavior: auto !important;
    }
}
html {
    font-family: "Kalam", cursive;
    font-size: 22px;
    font-weight: 300;
    scroll-behavior: smooth;
}

@media screen and (max-width: 992px) and (min-width: 768px) {
    html {
        font-size: 18px;
    }
}
.d-none {
    display: none !important;
}

.container {
    margin: 0 auto;
    max-width: 1024px;
}

:root {
    --white: #ffffff;
    --black: #000000;
    --grey: #85888c;
}

b,
strong {
    font-weight: 700;
}

h1,
h2 {
    color: var(--black);
    font-size: 1.6rem;
    font-weight: 600;
    text-align: center;
}

/* Reset */
* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    background-color: var(--white);
    margin-top: 80px;
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
}

/* Header */
.header {
    background-color: var(--white);
    border-bottom: 1px solid var(--black);
    position: fixed;
    left: 0;
    right: 0;
    top: 0px;
    width: 100%;
    z-index: 1;
}
.header .container {
    position: relative;
}
.header .container .logo {
    background-color: var(--white);
    position: absolute;
    left: 0;
    display: inline-block;
    color: var(--black);
    font-size: 50px;
    margin-left: 0;
    width: 3.5rem;
}
.header .container .logo img {
    height: 90%;
    width: auto;
}

/* Nav menu */
.nav {
    width: 100%;
    height: calc(100% - 82px);
    top: 82px;
    position: fixed;
    background-color: var(--black);
    overflow: hidden;
}

.menu a {
    display: block;
    padding: 16px 1rem;
    color: var(--white);
}

.nav {
    max-height: 0;
    -webkit-transition: max-height 0.5s ease-out;
    transition: max-height 0.5s ease-out;
}

/* Menu Icon */
.hamb {
    cursor: pointer;
    float: right;
    padding: 40px 20px;
}

.hamb-line {
    background: var(--black);
    display: block;
    height: 2px;
    position: relative;
    width: 24px;
}

.hamb-line::before,
.hamb-line::after {
    background: var(--black);
    content: "";
    display: block;
    height: 100%;
    position: absolute;
    -webkit-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
    width: 100%;
}

.hamb-line::before {
    top: 5px;
}

.hamb-line::after {
    top: -5px;
}

.side-menu {
    display: none;
}

.hero .container .hero-content {
    text-align: center;
    width: 100%;
    margin: 0;
    min-height: 460px;
    display: -ms-grid;
    display: grid;
    place-items: center;
}
.hero .container .hero-content img {
    width: 70vw;
    max-width: 200px;
    display: inline-block;
    -webkit-animation: pulse 2s ease-in-out alternate infinite;
    animation: pulse 2s ease-in-out alternate infinite;
}

@-webkit-keyframes pulse {
    0% {
        -webkit-transform: scale(1.4, 1.4) rotate(30deg);
        transform: scale(1.4, 1.4) rotate(30deg);
    }
    50% {
        -webkit-transform: scale(1, 1) rotate(-15deg);
        transform: scale(1, 1) rotate(-15deg);
    }
    100% {
        -webkit-transform: scale(1.4, 1.4) rotate(30deg);
        transform: scale(1.4, 1.4) rotate(30deg);
    }
}

@keyframes pulse {
    0% {
        -webkit-transform: scale(1.4, 1.4) rotate(30deg);
        transform: scale(1.4, 1.4) rotate(30deg);
    }
    50% {
        -webkit-transform: scale(1, 1) rotate(-15deg);
        transform: scale(1, 1) rotate(-15deg);
    }
    100% {
        -webkit-transform: scale(1.4, 1.4) rotate(30deg);
        transform: scale(1.4, 1.4) rotate(30deg);
    }
}
/* Toggle menu icon */
.side-menu:checked ~ nav {
    max-height: 100%;
    overflow-y: scroll;
}

.side-menu:checked ~ .hamb .hamb-line {
    background: transparent;
}

.side-menu:checked ~ .hamb .hamb-line::before {
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top: 0;
}

.side-menu:checked ~ .hamb .hamb-line::after {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    top: 0;
}

main {
    scroll-margin-top: 80px;
    padding: 5rem 1rem;
    margin: 2rem 0;
}
main#festival {
    padding-bottom: 2rem;
}
main .container figure img {
    width: 100%;
    max-width: 160px;
    margin-left: auto;
    margin-right: auto;
}
main .container article strong {
    font-weight: 600;
}
main .container article dl dt {
    font-weight: 600;
    margin-top: 1rem;
}
main .container article dl dd {
    margin-left: 3rem;
    margin-bottom: 1rem;
}
main .container article a {
    color: var(--black);
    text-decoration: underline;
}
main .container article a:hover {
    color: transparent;
    text-shadow: 0 0 1px var(--black);
}
main .container article h1,
main .container article h2 {
    margin-top: 2rem;
    margin-bottom: 2rem;
}
main .container article .center {
    text-align: center;
}
main h1,
main h2 {
    margin-bottom: 2rem;
}
main:nth-child(odd) {
    position: relative;
    color: var(--white);
    background-color: var(--black);
}
main:nth-child(odd) .container {
    -ms-grid-columns: 2fr 1fr;
    grid-template-columns: 2fr 1fr;
}
main:nth-child(odd) .container figure {
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1;
}
main:nth-child(odd) .container a {
    color: var(--white);
    text-decoration: underline;
}
main:nth-child(odd) .container a:hover {
    text-shadow: 0 0 2px var(--white);
}
main:nth-child(odd) h2 {
    color: var(--white);
}
main p {
    font-weight: 300;
    margin-bottom: 0.6rem;
    text-align: justify;
}
main:nth-child(odd)::before {
    content: "";
    height: 80px;
    display: block;
    position: absolute;
    left: 0;
    top: -1.7vw;
    right: 0;
    background-image:
        url(../assets/filmstreap.svg),
        linear-gradient(2deg, var(--black) 49%, transparent 50%);
    background-repeat: repeat-x;
    -webkit-transform: rotate(2deg);
    transform: rotate(2deg);
}
main:nth-child(odd)::after {
    content: "";
    height: 80px;
    display: block;
    position: absolute;
    left: 0;
    bottom: -1.7vw;
    right: 0;
    background-image:
        url(../assets/filmstreap.svg),
        linear-gradient(2deg, var(--black) 49%, transparent 50%);
    background-repeat: repeat-x;
    -webkit-transform: rotate(-2deg);
    transform: rotate(-2deg);
}

#contact form label {
    display: block;
}
#contact form label {
    display: none;
}
#contact form input {
    float: left;
    clear: both;
    width: 100%;
}
#contact form textarea {
    width: 100%;
    height: 160px;
}
#contact form input,
#contact form textarea {
    margin-bottom: 1rem;
    border: 1px solid var(--black);
    padding: 5px;
}
#contact form button {
    background-color: var(--black);
    color: var(--white);
    padding: 10px 3rem;
    border: none;
    font-weight: 600;
    letter-spacing: 0.05rem;
    cursor: pointer;
}
#contact form :focus,
#contact form :focus-visible {
    -webkit-box-shadow: 0;
    box-shadow: 0;
    outline: 0;
    border: 3px solid var(--black);
}

footer.site-footer {
    background-color: var(--black);
    color: white;
    padding: 4rem 0;
}
footer.site-footer .container {
    text-align: center;
    display: -ms-grid;
    display: grid;
    place-items: center;
    font-size: 0.8rem;
}
footer.site-footer .container .row {
    font-size: 1rem;
}
footer.site-footer .container .row .logo {
    margin-bottom: 2em;
}
footer.site-footer .container .row .footer-menu {
    margin-bottom: 2em;
}
footer.site-footer .container .row .footer-menu ul li a {
    color: white;
    text-decoration: underline;
}
footer.site-footer .container .row .footer-menu ul li a:hover {
    color: transparent;
    text-shadow: 0 0 2px rgba(255, 255, 255, 0.7);
}
footer.site-footer .container .row .social-media {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin-bottom: 2em;
}
footer.site-footer .container .row .social-media a {
    color: white;
    text-decoration: underline;
}
footer.site-footer .container .row .social-media a:hover {
    color: transparent;
    text-shadow: 0 0 2px rgba(255, 255, 255, 0.7);
}
footer.site-footer .container .row .social-media a img {
    width: 42px;
    height: 42px;
}

.gallery {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}
.gallery .img-container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.gallery .img-container div {
    border: solid 5px #fff;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    width: 300px;
    max-width: 100%;
    height: 200px;
    margin: 5px;
    background-color: #fff;
    cursor: pointer;
}

#gallery-overlay {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;
}
#gallery-overlay > div {
    width: 80vw;
    height: 80vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    position: relative;
}
#gallery-overlay div.next {
    position: absolute;
    width: 50vw; /* min(50vw, 30vw + 50px);*/
    height: 80vh;
    left: 50%;
    top: 0;
    bottom: 0;
}
#gallery-overlay div.prev {
    position: absolute;
    width: 50vw;
    height: 80vh;
    right: 50%;
    top: 0;
    bottom: 0;
}
#gallery-overlay div.next::after,
#gallery-overlay div.prev::after {
    content: "";
    width: 50px; /* min(10vw, 50px); */
    height: 50px; /* min(10vw, 50px); */
    position: absolute;
    top: 50%;
    bottom: 0;
    border-top: 3px solid #666;
    opacity: 0.5;
    transition: opacity 300ms ease-in-out;
}
#gallery-overlay div.next:hover::after,
#gallery-overlay div.prev:hover::after {
    opacity: 1;
}

#gallery-overlay div.next::after {
    right: 14px;
    border-right: 3px solid #666;
    transform: translate(0, 50%) rotate(45deg);
}

#gallery-overlay div.prev::after {
    left: 14px;
    border-left: 3px solid #666;
    transform: translate(0, 50%) rotate(-45deg);
}
#gallery-overlay .close-overlay {
    position: absolute;
    width: min(10vw, 50px);
    height: min(10vw, 50px);
    right: 0;
    top: 0;
    opacity: 0.5;
    transition: opacity 300ms ease-in-out;
}
#gallery-overlay .close-overlay:hover {
    opacity: 1;
}
#gallery-overlay .close-overlay::after,
#gallery-overlay .close-overlay::before {
    content: "";
    position: absolute;
    height: 4px;
    left: 0;
    right: 0;
    top: 50%;
    border-radius: 2px;
    background-color: #666;
}
#gallery-overlay .close-overlay::after {
    transform: translate(0, -50%) rotate(45deg);
}
#gallery-overlay .close-overlay::before {
    transform: translate(0, -50%) rotate(-45deg);
}

/* Responsiveness */
@media (min-width: 480px) {
    .gallery .img-container {
        width: 50%;
    }
}
@media (min-width: 768px) {
    .gallery .img-container {
        width: 33%;
    }

    h1,
    h2 {
        text-align: left;
        margin-top: 0;
    }
    #contact form input {
        width: inherit;
    }
    #contact form .is-invalid {
        border-color: rgb(159, 0, 0);
    }
    header.header .container {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
    }
    header.header .container nav {
        -ms-flex-item-align: center;
        -ms-grid-row-align: center;
        align-self: center;
    }
    main .container {
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 1fr 3rem 2fr;
        grid-template-columns: 1fr 2fr;
        grid-column-gap: 3rem;
    }
    main .container figure img {
        max-width: 100%;
        margin-top: 4rem;
    }
    main:nth-child(odd) .container figure img {
        margin-top: 4rem;
    }
    .menu li {
        float: left;
    }
    .menu a {
        line-height: 1.8rem;
        color: var(--black);
        padding: 5px 10px 3px;
        margin: 15px 0 15px 0;
        -webkit-transition: all 0.4s ease;
        transition: all 0.4s ease;
        border-radius: 4px;
        position: relative;
    }
    .menu a::after {
        content: "";
        display: block;
        position: absolute;
        inset: auto 0 0;
        height: 4px;
        border-radius: 3px;
        background-color: var(--black);
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -webkit-transition: -webkit-transform 0.5s
            cubic-bezier(0.43, -0.58, 0.73, 0);
        transition: -webkit-transform 0.5s cubic-bezier(0.43, -0.58, 0.73, 0);
        transition: transform 0.5s cubic-bezier(0.43, -0.58, 0.73, 0);
        transition:
            transform 0.5s cubic-bezier(0.43, -0.58, 0.73, 0),
            -webkit-transform 0.5s cubic-bezier(0.43, -0.58, 0.73, 0);
    }
    .menu a:hover::after {
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
        -webkit-transition: -webkit-transform 0.5s
            cubic-bezier(0.27, -0.01, 0.57, 1.58);
        transition: -webkit-transform 0.5s cubic-bezier(0.27, -0.01, 0.57, 1.58);
        transition: transform 0.5s cubic-bezier(0.27, -0.01, 0.57, 1.58);
        transition:
            transform 0.5s cubic-bezier(0.27, -0.01, 0.57, 1.58),
            -webkit-transform 0.5s cubic-bezier(0.27, -0.01, 0.57, 1.58);
    }
    .hamb {
        display: none;
    }
    .nav {
        max-height: none;
        top: 0;
        position: relative;
        float: right;
        width: -webkit-fit-content;
        width: -moz-fit-content;
        width: fit-content;
        background-color: transparent;
    }
    footer.site-footer .container .row {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-negative: 0;
        flex-shrink: 0;
        -webkit-box-flex: 0;
        -ms-flex-positive: 0;
        flex-grow: 0;
        width: 100%;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }
    footer.site-footer .container .row .logo {
        width: 25%;
    }
    footer.site-footer .container .row .logo figure img {
        width: 40%;
    }
    footer.site-footer .container .row .footer-menu {
        width: 50%;
        text-align: left;
    }
    footer.site-footer .container .row .footer-menu ul li {
        text-align: center;
    }
    footer.site-footer .container .row .social-media {
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
        -webkit-box-align: end;
        -ms-flex-align: end;
        align-items: flex-end;
        width: 25%;
    }
    footer.site-footer .container .row .social-media a {
        text-decoration: none;
    }
    footer.site-footer .container .row .social-media a img {
        width: 36px;
        height: 36px;
    }
}
.x0 {
    -webkit-animation: kaboom 5s ease infinite;
    animation: kaboom 5s ease infinite;
}

.x1 {
    -webkit-animation: kaboom 5s 0.5s ease infinite;
    animation: kaboom 5s 0.5s ease infinite;
}

.x2 {
    -webkit-animation: kaboom 5s 1s ease infinite;
    animation: kaboom 5s 1s ease infinite;
}

@-webkit-keyframes kaboom {
    50% {
        opacity: 1;
    }
    60% {
        opacity: 0;
    }
    70% {
        opacity: 1;
    }
}

@keyframes kaboom {
    50% {
        opacity: 1;
    }
    60% {
        opacity: 0;
    }
    70% {
        opacity: 1;
    }
}
#faq svg .a1,
#faq svg .a2 {
    -webkit-animation: faqiconanim 5s ease infinite;
    animation: faqiconanim 5s ease infinite;
}
#faq svg .a3 {
    -webkit-animation: faqiconanim1 5s ease infinite;
    animation: faqiconanim1 5s ease infinite;
}
#faq svg .a4 {
    -webkit-animation: faqiconanim2 5s ease infinite;
    animation: faqiconanim2 5s ease infinite;
}
#faq svg .a5 {
    -webkit-animation: faqiconanim3 5s ease infinite;
    animation: faqiconanim3 5s ease infinite;
}

@-webkit-keyframes faqiconanim {
    0% {
        opacity: 0;
    }
    10% {
        opacity: 0;
    }
    30% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}

@keyframes faqiconanim {
    0% {
        opacity: 0;
    }
    10% {
        opacity: 0;
    }
    30% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
@-webkit-keyframes faqiconanim1 {
    0% {
        opacity: 0;
    }
    15% {
        opacity: 0;
    }
    35% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
@keyframes faqiconanim1 {
    0% {
        opacity: 0;
    }
    15% {
        opacity: 0;
    }
    35% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
@-webkit-keyframes faqiconanim2 {
    0% {
        opacity: 0;
    }
    20% {
        opacity: 0;
    }
    40% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
@keyframes faqiconanim2 {
    0% {
        opacity: 0;
    }
    20% {
        opacity: 0;
    }
    40% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
@-webkit-keyframes faqiconanim3 {
    0% {
        opacity: 0;
    }
    25% {
        opacity: 0;
    }
    35% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
@keyframes faqiconanim3 {
    0% {
        opacity: 0;
    }
    25% {
        opacity: 0;
    }
    35% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
#festival figure img,
#aboutus figure img {
    -webkit-animation: festivalanim 4s ease-out 10ms infinite;
    animation: festivalanim 4s ease-out 10ms infinite;
}
#festival p > img,
#aboutus p > img {
    display: block;
    margin-inline: auto;
    width: 100px;
}

@-webkit-keyframes festivalanim {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    5% {
        -webkit-transform: rotate(-2deg);
        transform: rotate(-2deg);
    }
    8% {
        -webkit-transform: rotate(10deg);
        transform: rotate(10deg);
    }
    11% {
        -webkit-transform: rotate(-2deg);
        transform: rotate(-2deg);
    }
    15% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
}

@keyframes festivalanim {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    5% {
        -webkit-transform: rotate(-2deg);
        transform: rotate(-2deg);
    }
    8% {
        -webkit-transform: rotate(10deg);
        transform: rotate(10deg);
    }
    11% {
        -webkit-transform: rotate(-2deg);
        transform: rotate(-2deg);
    }
    15% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
}
#contact figure img,
#contest figure img {
    -webkit-animation: contactanim 4s ease-out infinite;
    animation: contactanim 4s ease-out infinite;
}

@-webkit-keyframes contactanim {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    2% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
    5% {
        -webkit-transform: scale(0.95);
        transform: scale(0.95);
    }
    8% {
        -webkit-transform: scale(1.03);
        transform: scale(1.03);
    }
    11% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes contactanim {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    2% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
    5% {
        -webkit-transform: scale(0.95);
        transform: scale(0.95);
    }
    8% {
        -webkit-transform: scale(1.03);
        transform: scale(1.03);
    }
    11% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}
@-webkit-keyframes statuetkanim {
    0% {
        background-position: -8400px;
    }
    100% {
        background-position: 0px;
    }
}

@keyframes statuetkanim {
    0% {
        background-position: -8400px;
    }
    100% {
        background-position: 0px;
    }
}

.statuetka {
    width: 140px;
    height: 420px;
    margin: 0 auto;
    background: url("../assets/statuetka-frames.jpg") -6300px 0;
    -webkit-animation: statuetkanim 4s steps(60) 10ms infinite;
    animation: statuetkanim 4s steps(60) 10ms infinite;
}
